=== sheets/dtd/CMakeLists.txt ===
install( FILES  kspread.dtd  DESTINATION ${DATA_INSTALL_DIR}/calligrasheets/dtd)
