=== words/styles/CMakeLists.txt ===
install( FILES
         defaultstyles.xml
         DESTINATION ${DATA_INSTALL_DIR}/calligrawords/styles)
