=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export QT_SELECT=5

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:3.1.0~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra < 3.1
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv tr uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DBUILD_app_cstester=OFF -DBUILD_app_devtools=OFF -DCALLIGRA_SHOULD_BUILD_UNMAINTAINED=ON

override_dh_auto_install:
	dh_auto_install
	# Remove development symlinks of libraries
	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
	# Remove mimetypes already provided by shared-mime-info
	rm -f debian/tmp/usr/share/mime/packages/msooxml-all.xml
	rm -f debian/tmp/usr/share/mime/packages/x-iwork-keynote-sffkey.xml
	# Remove fonts already in fonts-lyx package
	rm -f debian/tmp/usr/share/calligra_shape_formula/fonts/cmex10.ttf
	# Remove stuff belonging to unported calligraflow
	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_vsdx2odg.so
	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_wpg2odg.so
	rm -f debian/tmp/usr/share/kservices5/flow_vsdx_thumbnail.desktop
	rm -f debian/tmp/usr/share/kservices5/flow_wpg_thumbnail.desktop
	# Remove x-test "translations"
	rm -fr debian/tmp/usr/share/locale/x-test
	# Remove translations of stuff not shipped
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/braindump.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_semanticitem_*.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_comment.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_template.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/flow.mo

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcalligra:oldLangs='$(l10npkgs_packages_rels)'

.PHONY: override_dh_auto_test
