## calligra 3.2.0+dfsg

=== debian/changelog ===
calligra (1:3.2.0+dfsg-1ubuntu2) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 May 2020 21:55:22 +0000

calligra (1:3.2.0+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't provide transitional l10n and calligra-reports-web-element
      packages. Depreciated in Ubuntu after 16.04.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 15:36:33 +0100

calligra (1:3.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.
  * Drop the man pages, as they do not provide any useful content.
  * Switch the watch file back to stable releases.
  * Update the build dependencies according to the upstream build system:
    - bump libkchart-dev to 2.7.0
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch Vcs-Git back to the master packaging branch.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Apr 2020 13:25:56 +0200

calligra (1:3.1.90+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release (3.2.0 beta 1).
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
    - upstream_Fix-compilation-with-Qt-5.11-missing-include.patch: drop,
      backported from upstream
    - upstream_Fix-build-with-poppler-0.69.patch: drop, backported from upstream
    - upstream_Fix-build-with-poppler-0.64.patch: drop, backported from upstream
    - upstream_Mark-the-functions-as-override.patch: drop, backported from
      upstream
    - upstream_GBool-bool.patch: drop, backported from upstream
    - upstream_Fix-build-with-poppler-0.64-take-2.patch: drop, backported from
      upstream
    - upstream_Fix-build-with-poppler-0.71.patch: drop, backported from upstream
    - upstream_Guchar-unsigned-char.patch: drop, backported from upstream
    - upstream_Fix-GooString-not-having-getCString-anymore.patch: drop,
      backported from upstream
    - upstream_Fix-the-way-poppler-headers-are-included.patch: drop, backported
      from upstream
    - upstream_Fix-compilation-with-Qt-5.13-missing-include.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - remove no more used: libkf5akonadicontact-dev, libkf5holidays-dev, and
      libqt5webkit5-dev
  * Update install files.
  * Switch the watch file to the unstable releases for now.
  * Point Vcs-Git to the experimental packaging branch.
  * Drop the removal of files that are no more shipped.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Apr 2020 09:45:00 +0200
