=== debian/rules ===
--- 
+++ 
@@ -25,30 +25,16 @@
 	dh_auto_install
 	# Remove development symlinks of libraries
 	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
-	# Remove mimetypes already provided by shared-mime-info
-	rm -f debian/tmp/usr/share/mime/packages/msooxml-all.xml
-	rm -f debian/tmp/usr/share/mime/packages/x-iwork-keynote-sffkey.xml
-	# Remove fonts already in fonts-lyx package
-	rm -f debian/tmp/usr/share/calligra_shape_formula/fonts/cmex10.ttf
 	# Remove stuff belonging to unported calligraflow
 	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_vsdx2odg.so
 	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_wpg2odg.so
 	rm -f debian/tmp/usr/share/kservices5/flow_vsdx_thumbnail.desktop
 	rm -f debian/tmp/usr/share/kservices5/flow_wpg_thumbnail.desktop
-	# Remove x-test "translations"
-	rm -fr debian/tmp/usr/share/locale/x-test
 	# Remove translations of stuff not shipped
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/braindump.mo
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_semanticitem_*.mo
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_comment.mo
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_template.mo
-	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/flow.mo
-
-override_dh_missing:
-	dh_missing --list-missing
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vcalligra:oldLangs='$(l10npkgs_packages_rels)'
