=== debian/changelog ===
calligra (1:3.2.1+dfsg-8build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:48 +1100

calligra (1:3.2.1+dfsg-8build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:01:24 +0000

calligra (1:3.2.1+dfsg-8build2) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:10:32 -0500

calligra (1:3.2.1+dfsg-8build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:33:57 +0100

calligra (1:3.2.1+dfsg-8) unstable; urgency=medium

  * Disable the scripting feature, as it requires kross which is not maintained
    anymore:
    - backport upstream commit 919be830a4baa0b92a33d6a5736ad750e8fcb311 to make
      the Kross framework an optional build dependency; patch
      upstream_Make-KF5Kross-optional.patch
    - drop the kross-dev build dependency
    - stop shipping translations of kross modules
    - update install files
    - drop no more needed lintian overrides

 -- Pino Toscano <pino@debian.org>  Sat, 11 Nov 2023 08:42:42 +0100

calligra (1:3.2.1+dfsg-7) unstable; urgency=medium

  * Bump the libkf5doctools-dev build dependency to 5.103.0-2, so we get the fix
    for the kdoctools_install() cmake macro for source paths with special
    characters, such as the '+' in the current version
    - update install files accordingly
  * Update standards version to 4.6.2, no changes needed.
  * Drop general or old bits from README.source.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Mar 2023 22:46:51 +0100

calligra (1:3.2.1+dfsg-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 2bbbeb09f9d50f1952fd7f4020ca77a0c932d23b,
    upstream commit 236bacbe13739414e919de868283b0caf2df5d8a,
    upstream commit 6b75bec784c9835c78993349845d8c2ef22ec3de, and
    upstream commit 59eb4d2235b88408accf452421526b6f281cbab0 to fix the build
    with newer versions of Poppler; patches
    upstream_Raise-minimum-poppler-version-to-0.83.0-cleaning-up-.patch,
    upstream_PdfImport-Fix-compile-with-newer-poppler.patch,
    upstream_PdfImport-Fix-compile-with-newer-poppler_2.patch, and
    upstream_SvgOutputDev-Fix-ifdef-version-for-getFont-API-chang.patch
    (Closes: #1012846)
    - bump the required version of Poppler to 0.83.0 accordingly
    - add the libpoppler-qt5-dev build dependency
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jul 2022 19:14:47 +0200

calligra (1:3.2.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 068cd9aec11052733e393976142516d2190e4564,
    upstream commit 2ac46db52c6ad401f67ae5b5fcd859a5872f0311,
    part of upstream commit 62f510702ef9c34ac50f8d8601a4290ab558464c,
    upstream commit 19584bed9588860047e3bd04e3fd2cf7e36adc3a, and
    upstream commit 2f220c6d1418ce7fa509e0dc598a67e66908cbd3 to fix the build
    with newer versions of ECM, C++, and Poppler; patches
    upstream_Fix-some-more-warnings.patch,
    upstream_Small-CMake-modernization.patch,
    upstream_Update-Cmake-and-deps-Fix-Freetype-and-FontConfig-Li.patch,
    upstream_Remove-old-std-c-11-setting-for-Vc.patch, and
    upstream_Fix-compile-with-newer-versions-of-poppler.patch.
    (Closes: #1007891)
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.
  * Update watch file to v4, no changes required.
  * Remove the commented calligraplan, kexi, and krita dependencies from the
    calligra metapackage, as they are no more part of Calligra now.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Mar 2022 11:47:04 +0100

calligra (1:3.2.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove the localized documentations of calligrasheets, and calligrastage:
    because of the dfsg repack, the build directory has a "+" in it, and the
    kdoctools_install() CMake macro of kdoctools cannot handle paths with it.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Sep 2021 10:27:37 +0200

calligra (1:3.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop the transitional packages calligra-reports-web-element, and all the
    calligra-l10n-*, no more needed after two Debian stable releases
    (Closes: #987452)
    - drop also the associated l10n breaks/replaces
    - drop the lintian source override for them
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit c7636fb343c848000300a9429410b74d17a4d54d to fix
    build with newer CMake; patch
    upstream_Partial-update-of-Commit-62f51070-to-make-it-compile.patch
    - bump the cmake build dependency to 3.16 accordingly
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update install files.
  * Clean the color profiles (/usr/share/color/) from debian/tmp: they were
    already not shipped, and this simply make it clearer.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Sep 2021 09:23:42 +0200

calligra (1:3.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the qtdeclarative5-dev build dependency, as it was pulled
    by another package before. (Closes: #963421)
  * Stop exporting QT_SELECT=5 in rules, no more needed.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Jul 2020 11:24:41 +0200

calligra (1:3.2.1+dfsg-1) unstable; urgency=medium
